Subject: Re: [PATCH v5 2/3] path: optimize common dir checking

From: Junio C Hamano <[email-masked]>
Date: Mon, 05 Oct 2015 13:43:21 -0700

Junio C Hamano <[email-masked]> writes:

> David Turner <[email-masked]> writes:
>
>> But this is a benchmark of just git_path.  I don't happen to see any
>> cases where git_path is taking up an appreciable amount of runtime.
>>
>> I only added this because Junio requested a speedup.  So I am perfectly
>> happy to drop this patch from the series.  
>
> Ok, then let's drop it for now.  Thanks.

Having said all that, this conversation happened way after I started
today's integration cycle, I am not inclined to redo all of that,
especially with extra tagging involved in the work done today.

So it is in 'master' now.  I'm open to a patch to revert this
commit, though.

Thanks.